Scale a deployment to a replica count
POST
/deployments/{id}/scale
const url = 'https://example.com/deployments/example/scale';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"replicas":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/deployments/example/scale \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "replicas": 1 }'Auth: authenticated (scope: deploy)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
replicas
required
integer
Example generated
{ "replicas": 1}Responses
Section titled “Responses”OK
Media typeapplication/json
object
deploymentId
required
string
projectId
required
string
replicas
required
number
stopped
required
boolean
success
required
boolean
key
additional properties
Example generated
{ "deploymentId": "example", "projectId": "example", "replicas": 1, "stopped": true, "success": true}